## QOS Network Status indication

QOS Network Status indication

## Functions

QmiIndicationQosNetworkStatusOutput * | qmi_indication_qos_network_status_output_ref ()
void | qmi_indication_qos_network_status_output_unref ()
gboolean | qmi_indication_qos_network_status_output_get_qos_supported ()

## Types and Values

| QmiIndicationQosNetworkStatusOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationQosNetworkStatusOutput

## Description

## Functions

### qmi_indication_qos_network_status_output_ref ()

    QmiIndicationQosNetworkStatusOutput *
    qmi_indication_qos_network_status_output_ref
                                   (QmiIndicationQosNetworkStatusOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationQosNetworkStatusOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_indication_qos_network_status_output_unref ()

    void
    qmi_indication_qos_network_status_output_unref
                                   (QmiIndicationQosNetworkStatusOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationQosNetworkStatusOutput. |

Since: 1.22

### qmi_indication_qos_network_status_output_get_qos_supported ()

    gboolean
    qmi_indication_qos_network_status_output_get_qos_supported
                                   (QmiIndicationQosNetworkStatusOutput *self,
                                    gboolean *value_qos_supported,
                                    GError **error);

Get the 'QoS Supported' field from `self` .

#### Parameters

self | a QmiIndicationQosNetworkStatusOutput. |
value_qos_supported | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

## Types and Values

### QmiIndicationQosNetworkStatusOutput

    typedef struct _QmiIndicationQosNetworkStatusOutput QmiIndicationQosNetworkStatusOutput;

The QmiIndicationQosNetworkStatusOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22